Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.cpp File Reference

`#include "ImplRepoC.h"`
`#include "tao/Exception_Data.h"`
`#include "tao/Invocation_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Any_Basic_Impl_T.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/Special_Basic_Arguments.h"`
`#include "tao/UB_String_Arguments.h"`
`#include "tao/Var_Size_Argument_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "ImplRepoC.i"`

Include dependency graph for ImplRepoC.cpp:

## Namespaces
namespace | ImplementationRepository
namespace | TAO
## Defines
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerObject (CORBA::tk_objref, sizeof(_oc_ImplementationRepository_ServerObject),(char *)&_oc_ImplementationRepository_ServerObject, 0, sizeof(ImplementationRepository::ServerObject))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_AlreadyRegistered (CORBA::tk_except, sizeof(_oc_ImplementationRepository_AlreadyRegistered),(char *)&_oc_ImplementationRepository_AlreadyRegistered, 0, sizeof(ImplementationRepository::AlreadyRegistered))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_CannotActivate (CORBA::tk_except, sizeof(_oc_ImplementationRepository_CannotActivate),(char *)&_oc_ImplementationRepository_CannotActivate, 0, sizeof(ImplementationRepository::CannotActivate))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_NotFound (CORBA::tk_except, sizeof(_oc_ImplementationRepository_NotFound),(char *)&_oc_ImplementationRepository_NotFound, 0, sizeof(ImplementationRepository::NotFound))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_EnvironmentVariable (CORBA::tk_struct, sizeof(_oc_ImplementationRepository_EnvironmentVariable),(char *)&_oc_ImplementationRepository_EnvironmentVariable, 0, sizeof(ImplementationRepository::EnvironmentVariable))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Address (CORBA::tk_alias, sizeof(_oc_ImplementationRepository_Address),(char *)&_oc_ImplementationRepository_Address, 0, sizeof(ImplementationRepository::Address))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_EnvironmentList (CORBA::tk_alias, sizeof(_oc_ImplementationRepository_EnvironmentList),(char *)&_oc_ImplementationRepository_EnvironmentList, 0, sizeof(ImplementationRepository::EnvironmentList))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ActivationMode (CORBA::tk_enum, sizeof(_oc_ImplementationRepository_ActivationMode),(char *)&_oc_ImplementationRepository_ActivationMode, 0, sizeof(ImplementationRepository::ActivationMode))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_StartupOptions (CORBA::tk_struct, sizeof(_oc_ImplementationRepository_StartupOptions),(char *)&_oc_ImplementationRepository_StartupOptions, 0, sizeof(ImplementationRepository::StartupOptions))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformation (CORBA::tk_struct, sizeof(_oc_ImplementationRepository_ServerInformation),(char *)&_oc_ImplementationRepository_ServerInformation, 0, sizeof(ImplementationRepository::ServerInformation))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformationList (CORBA::tk_alias, sizeof(_oc_ImplementationRepository_ServerInformationList),(char *)&_oc_ImplementationRepository_ServerInformationList, 0, sizeof(ImplementationRepository::ServerInformationList))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Administration (CORBA::tk_objref, sizeof(_oc_ImplementationRepository_Administration),(char *)&_oc_ImplementationRepository_Administration, 0, sizeof(ImplementationRepository::Administration))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformationIterator (CORBA::tk_objref, sizeof(_oc_ImplementationRepository_ServerInformationIterator),(char *)&_oc_ImplementationRepository_ServerInformationIterator, 0, sizeof(ImplementationRepository::ServerInformationIterator))
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerObject_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerObject_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerObject_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::AlreadyRegistered &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::AlreadyRegistered *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::AlreadyRegistered *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::AlreadyRegistered *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::CannotActivate &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::CannotActivate *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::CannotActivate *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::CannotActivate *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::NotFound &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::NotFound *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::NotFound *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::NotFound *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentVariable &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::EnvironmentVariable *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::EnvironmentVariable *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentVariable *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::EnvironmentList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::EnvironmentList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ActivationMode _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ActivationMode &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::StartupOptions &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::StartupOptions *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::StartupOptions *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::StartupOptions *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::ServerInformation &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformation *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformation *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::ServerInformation *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::ServerInformationList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformationList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformationList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::ServerInformationList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Administration_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformationIterator_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformationIterator_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformationIterator_ptr &_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::ServerObject_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::ServerObject_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::EnvironmentList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::EnvironmentList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::ServerInformationList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::ServerInformationList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Administration_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::Administration_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::ServerInformationIterator_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::ServerInformationIterator_ptr &_tao_objref)
## Variables
TAO::Collocation_Proxy_Broker *(* | ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_ImplementationRepository_ServerObject []
const CORBA::Long | _oc_ImplementationRepository_AlreadyRegistered []
const CORBA::Long | _oc_ImplementationRepository_CannotActivate []
const CORBA::Long | _oc_ImplementationRepository_NotFound []
const CORBA::Long | _oc_ImplementationRepository_EnvironmentVariable []
const CORBA::Long | _oc_ImplementationRepository_Address []
const CORBA::Long | _oc_ImplementationRepository_EnvironmentList []
const CORBA::Long | _oc_ImplementationRepository_ActivationMode []
const CORBA::Long | _oc_ImplementationRepository_StartupOptions []
const CORBA::Long | _oc_ImplementationRepository_ServerInformation []
const CORBA::Long | _oc_ImplementationRepository_ServerInformationList []
TAO::Collocation_Proxy_Broker *(* | ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_ImplementationRepository_Administration []
TAO::Collocation_Proxy_Broker *(* | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_ImplementationRepository_ServerInformationIterator []

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ActivationMode | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_ImplementationRepository_ActivationMode) | ,
|  | (char *)& | _oc_ImplementationRepository_ActivationMode,
|  | 0 | ,
|  | sizeof(ImplementationRepository::ActivationMode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Address | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_ImplementationRepository_Address) | ,
|  | (char *)& | _oc_ImplementationRepository_Address,
|  | 0 | ,
|  | sizeof(ImplementationRepository::Address) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Administration | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_ImplementationRepository_Administration) | ,
|  | (char *)& | _oc_ImplementationRepository_Administration,
|  | 0 | ,
|  | sizeof(ImplementationRepository::Administration) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_AlreadyRegistered | ( | CORBA::tk_except | ,
|  | sizeof(_oc_ImplementationRepository_AlreadyRegistered) | ,
|  | (char *)& | _oc_ImplementationRepository_AlreadyRegistered,
|  | 0 | ,
|  | sizeof(ImplementationRepository::AlreadyRegistered) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_CannotActivate | ( | CORBA::tk_except | ,
|  | sizeof(_oc_ImplementationRepository_CannotActivate) | ,
|  | (char *)& | _oc_ImplementationRepository_CannotActivate,
|  | 0 | ,
|  | sizeof(ImplementationRepository::CannotActivate) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_EnvironmentList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_ImplementationRepository_EnvironmentList) | ,
|  | (char *)& | _oc_ImplementationRepository_EnvironmentList,
|  | 0 | ,
|  | sizeof(ImplementationRepository::EnvironmentList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_EnvironmentVariable | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_ImplementationRepository_EnvironmentVariable) | ,
|  | (char *)& | _oc_ImplementationRepository_EnvironmentVariable,
|  | 0 | ,
|  | sizeof(ImplementationRepository::EnvironmentVariable) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_NotFound | ( | CORBA::tk_except | ,
|  | sizeof(_oc_ImplementationRepository_NotFound) | ,
|  | (char *)& | _oc_ImplementationRepository_NotFound,
|  | 0 | ,
|  | sizeof(ImplementationRepository::NotFound) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformation | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_ImplementationRepository_ServerInformation) | ,
|  | (char *)& | _oc_ImplementationRepository_ServerInformation,
|  | 0 | ,
|  | sizeof(ImplementationRepository::ServerInformation) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformationIterator | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_ImplementationRepository_ServerInformationIterator) | ,
|  | (char *)& | _oc_ImplementationRepository_ServerInformationIterator,
|  | 0 | ,
|  | sizeof(ImplementationRepository::ServerInformationIterator) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformationList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_ImplementationRepository_ServerInformationList) | ,
|  | (char *)& | _oc_ImplementationRepository_ServerInformationList,
|  | 0 | ,
|  | sizeof(ImplementationRepository::ServerInformationList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerObject | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_ImplementationRepository_ServerObject) | ,
|  | (char *)& | _oc_ImplementationRepository_ServerObject,
|  | 0 | ,
|  | sizeof(ImplementationRepository::ServerObject) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_StartupOptions | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_ImplementationRepository_StartupOptions) | ,
|  | (char *)& | _oc_ImplementationRepository_StartupOptions,
|  | 0 | ,
|  | sizeof(ImplementationRepository::StartupOptions) |
| ) | `[static]`

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationIterator_ptr | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerObject_ptr | _tao_objref
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformationList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformation * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformation & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::StartupOptions * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::StartupOptions & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ActivationMode | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentVariable * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentVariable & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::NotFound * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::NotFound & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::CannotActivate * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::CannotActivate & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::AlreadyRegistered * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::AlreadyRegistered & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerObject_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerObject_ptr | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationIterator_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Administration_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerObject_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformationList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformation *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformation *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::StartupOptions *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::StartupOptions *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ActivationMode & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentVariable *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentVariable *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::NotFound *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::NotFound *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::CannotActivate *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::CannotActivate *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::AlreadyRegistered *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::AlreadyRegistered *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerObject_ptr & | _tao_elem
| ) |

## Variable Documentation

const CORBA::Long _oc_ImplementationRepository_ActivationMode[]`[static]`

const CORBA::Long _oc_ImplementationRepository_Address[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f416464),
      ACE_NTOHL (0x72657373),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        8,
      ACE_NTOHL (0x41646472),
      ACE_NTOHL (0x65737300),
        CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_ImplementationRepository_Administration[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f41646d),
      ACE_NTOHL (0x696e6973),
      ACE_NTOHL (0x74726174),
      ACE_NTOHL (0x696f6e3a),
      ACE_NTOHL (0x312e3000),
        15,
      ACE_NTOHL (0x41646d69),
      ACE_NTOHL (0x6e697374),
      ACE_NTOHL (0x72617469),
      ACE_NTOHL (0x6f6e0000),
      }

const CORBA::Long _oc_ImplementationRepository_AlreadyRegistered[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      51,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f416c72),
      ACE_NTOHL (0x65616479),
      ACE_NTOHL (0x52656769),
      ACE_NTOHL (0x73746572),
      ACE_NTOHL (0x65643a31),
      ACE_NTOHL (0x2e300000),
        18,
      ACE_NTOHL (0x416c7265),
      ACE_NTOHL (0x61647952),
      ACE_NTOHL (0x65676973),
      ACE_NTOHL (0x74657265),
      ACE_NTOHL (0x64000000),
      0,
      }

const CORBA::Long _oc_ImplementationRepository_CannotActivate[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f43616e),
      ACE_NTOHL (0x6e6f7441),
      ACE_NTOHL (0x63746976),
      ACE_NTOHL (0x6174653a),
      ACE_NTOHL (0x312e3000),
        15,
      ACE_NTOHL (0x43616e6e),
      ACE_NTOHL (0x6f744163),
      ACE_NTOHL (0x74697661),
      ACE_NTOHL (0x74650000),
      1,
        7,
      ACE_NTOHL (0x72656173),
      ACE_NTOHL (0x6f6e0000),
        CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_ImplementationRepository_EnvironmentList[]`[static]`

const CORBA::Long _oc_ImplementationRepository_EnvironmentVariable[]`[static]`

const CORBA::Long _oc_ImplementationRepository_NotFound[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      42,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f4e6f74),
      ACE_NTOHL (0x466f756e),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
        9,
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x0),
      0,
      }

const CORBA::Long _oc_ImplementationRepository_ServerInformation[]`[static]`

const CORBA::Long _oc_ImplementationRepository_ServerInformationIterator[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      59,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f536572),
      ACE_NTOHL (0x76657249),
      ACE_NTOHL (0x6e666f72),
      ACE_NTOHL (0x6d617469),
      ACE_NTOHL (0x6f6e4974),
      ACE_NTOHL (0x65726174),
      ACE_NTOHL (0x6f723a31),
      ACE_NTOHL (0x2e300000),
        26,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x6572496e),
      ACE_NTOHL (0x666f726d),
      ACE_NTOHL (0x6174696f),
      ACE_NTOHL (0x6e497465),
      ACE_NTOHL (0x7261746f),
      ACE_NTOHL (0x72000000),
      }

const CORBA::Long _oc_ImplementationRepository_ServerInformationList[]`[static]`

const CORBA::Long _oc_ImplementationRepository_ServerObject[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      46,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f536572),
      ACE_NTOHL (0x7665724f),
      ACE_NTOHL (0x626a6563),
      ACE_NTOHL (0x743a312e),
      ACE_NTOHL (0x30000000),
        13,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724f62),
      ACE_NTOHL (0x6a656374),
      ACE_NTOHL (0x0),
      }

const CORBA::Long _oc_ImplementationRepository_StartupOptions[]`[static]`

TAO::Collocation_Proxy_Broker*(* ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0